package de.davidochmann.website.vitaoase.navigation.top
{
	/**
	 * @author dochmann
	 */
	 
	import flash.events.MouseEvent;	
	import flash.display.Sprite;

	public class MenuTop extends Sprite 
	{
		private static var BUTTON_X:uint	 		   = 0;
		private static var BUTTON_Y:uint	 		   = 0;
		private static var BUTTON_DISTANCE:uint 	   = 100;
		private static var BUTTON_ANIMATION_TIME:uint  = 1;
	
		private static var PANEL_WIDTH:uint			   = 718;
	
		private static var LINE_COLOR_1:uint		   = 0x006AED;
		private static var LINE_COLOR_2:uint		   = 0x177EFE;
	
		private static var BUTTON_LIST:Array 		   = [{label:"Kontakt"	, link:"", tx:10, ty:3},
												   		  {label:"Impressum", link:"", tx:10, ty:3}];
		public function MenuTop() 
		{
			initButtons();
		}
		
		
		private function initButtons():void
		{
			var button:TopButton;
			var line:TopLine;
			
			var label:String;
			var link:String;
			var tx:uint;
			var ty:uint;
			
			for(var i:uint = 0; i < BUTTON_LIST.length; i++)
			{
				label = BUTTON_LIST[i].label;
				link  = BUTTON_LIST[i].link;
				tx 	  = BUTTON_LIST[i].tx;
				ty	  = BUTTON_LIST[i].ty;
				
				button = new TopButton(label, tx, ty, link, TopButton.STATUS_INACTIVE);
				
				button.x = PANEL_WIDTH - (BUTTON_X + (BUTTON_DISTANCE * i));
				button.y = BUTTON_Y; 
				
				button.addEventListener(MouseEvent.MOUSE_OVER, buttonMouseOverHandler);
				button.addEventListener(MouseEvent.MOUSE_OUT , buttonMouseOutHandler);
				
				if(link != "" && link != null)
				{
					button.buttonMode 	 = true;
					button.mouseChildren = false;
				}
				
				addChild(button);	
			}
			
			for(var j:uint = 0; j < BUTTON_LIST.length; j++)
			{
				line = new TopLine(LINE_COLOR_1, LINE_COLOR_2);
				
				line.x = PANEL_WIDTH - (BUTTON_X + (BUTTON_DISTANCE * j));
				line.y = BUTTON_Y;
				
				addChild(line);			
			}
		}

		private function buttonMouseOverHandler(e:MouseEvent):void
		{
			TopButton(e.currentTarget).status(TopButton.STATUS_ACTIVE, BUTTON_ANIMATION_TIME);
		}

		private function buttonMouseOutHandler(e:MouseEvent):void
		{
			TopButton(e.currentTarget).status(TopButton.STATUS_INACTIVE, BUTTON_ANIMATION_TIME);
		}
	}
}
